Subject: Comforter set
From: Jenifer Castillo <[email-masked]>
To: [email-masked]
Date: Wed, 4 Jun 2025 23:07:06 -0600

Hello, I purchased  the
Madison Park Comforter Set Chenille Jacquard, Cotton Reverse, Oversized
Comforters, Removable Cover, All Season Bedding, Decor Pillows, Chapman,
King Ivory/Neutral 9 Piece set and I was making my bed and noticed the
stitching is undone son some spots of the duvet cover. I spent quite a bit
on this and love it but for it to just fall apart is upsetting.

Thank you !
Jenifer Castillo